charge in the transaction_type field and Authorization in the transaction_mode field as part of the body of your request.https://api-uat.kushkipagos.com
/pos/v1/transaction in the request body, include charge in the transaction_type field and Authorization in the transaction_mode field. Also, include the value of is_deferred in true, send the deferred object and inmonths, include the total number of months for which your customer’s payment will be deferred.Beta Phase & Enablement
Beta Phase: Merchant installments (cuotas comercio) for Chile are currently in Beta and subject to changes. Enablement: To use this feature, you must contact the Kushki team to configure it in your customer console.
credit_type field with the value "03" inside the deferred object.{
"amount": {
"currency": "CLP",
"extra_taxes": {},
"iva": 0,
"subtotal_iva": 0,
"subtotal_iva0": 10000,
"tip": 0
},
"card": {
"card_holder_name": "John Doe"
},
"card_details": {
"enc_tlv": "8332743DB0D0FAA29CF0AA187558BE3EF056085299635BAD4147E5D50D70D6E01A396081D618BA3001AF8262CD8F52DC67C995D9E99E824EC7995FE20AD5E5FE850B29863A2E61D8BD6A2951A2F24CD0AEE4087020745EB48CC5B40E2AE2263D5BB47D4D508D8DC69E54C8ECC2AB6F471C299D1CAB1712CCD2E2D378A57D285E7139CCC6C98D57D8A6C30B1CE110DDE23C28C9C7FCAFEF2023AE4FC8B03BE86CA1B673D962D9E7EA",
"pin_ksn": "FFFF4357486333600003",
"reading_type": "NFC",
"tracks": {
"enc_track2": "A5A26987202B4E8F3A595E0116A85E56D842005394315A18",
"track_ksn": "FFFF4357486333600003"
}
},
"client_transaction_id": "dbdeb25b-b34a-4b6c-b664-085ea9552954",
"country": "CHL",
"cvm_type": "none",
"deferred": {
"months": "10",
"credit_type": "03"
},
"is_cashback": false,
"is_deferred": true,
"pos_details": {
"brand": "SUNMI",
"has_print": true,
"location": {
"latitude": -1.2346533333333334,
"longitude": -78.61959166666666
},
"model": "P2-EU",
"terminal_id": "PB04209860189",
"version": "Kushki SunmiV1.1.28"
},
"transaction_mode": "Authorization",
"transaction_type": "charge"
}https://api-uat.kushkipagos.com
/pos/v1/transaction and include the tip amount in the tip field. Send Authorization in the transaction_mode field and Charge in the transaction_type as part of the request body.The tip amount is in addition to the total amount of the transaction sent in the fields subtotal_ivaorsubtotal_iva0
https://api-uat.kushkipagos.com /pos/v1/transaction and send the value of the is_cashback parameter in true and specify the cashback amount in cashback_amount.Important
Please note that cashback only works with local cards. Cashback is supported for ICC (chip) and NFC (contactless) transactions. It is not supported for MCR (magnetic stripe) transactions. Ensure the reading_typeis not set to MCR.
curl --location 'https://api-uat.kushkipagos.com/pos/v1/transaction' \
--header 'Private-Credential-Id;' \
--header 'Content-Type: application/json' \
--data '{
"amount": {
"currency": "CLP",
"iva": 0,
"subtotal_iva": 0,
"subtotal_iva0": 60000,
"tip": 0,
"extra_taxes": {
"airport_tax": 0,
"iac": 0,
"ice": 0,
"travel_agency": 0
}
},
"card_details": {
"enc_tlv": "CE447A062C49774934E42A7F826668C0C478E38402C158062EE794C0E471B43EA8CE49C256C2C8B157526B0B2BE74FC23F65E18D4F52B99A1A0910E6CCD9B11A32D6D537E2B6E2B011C89569DE6A3D53318080BC77E0E70B398ED3083FD7366CCF8FB4DBF34A116E6D52CFBEF26371878D842034E5029EF62DF235D2C427F04102E451773D9E8975978917E3BC531327702967052E239F8C592734AE14688E603C52B858FC1D97B763AE623603F1475FFFB065EC07AF7A29",
"pin_ksn": "FFFF4357486333600002",
"reading_type": "ICC",
"tracks": {
"enc_track2": "283587285CE10278E7FA50AD5C97CFFE87F472C9FE6406F8",
"track_ksn": "FFFF4357486333600002"
}
},
"card": {
"card_holder_name": "John Doe"
},
"contact_details": {
"document_number": "",
"document_type": "-1",
"email": "",
"first_name": "",
"last_name": "",
"second_last_name": "",
"phone_number": ""
},
"pos_details": {
"brand": "SUNMI",
"model": "P2-EU",
"terminal_id": "PB04216R20537",
"version": "Kushki SunmiV1.1.26",
"has_print": true,
"location": {
"latitude": -0.22480833333333333,
"longitude": -78.487955
},
"user": "juan.perez",
"friendly_name": "Caja principal",
"serial": "SN123456",
"type": "COUNTERTOP",
"connectivity": "WIFI"
},
"country": "CHL",
"is_deferred": false,
"client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
"merchant_id": 987654321,
"transaction_type": "charge",
"transaction_mode": "Authorization",
"is_cashback": false,
"cvm_type": "none"
}'{
"additional_amounts": {
"account_type": "",
"amount": 0,
"amount_type": "",
"card_type": "",
"currency_code": ""
},
"authorized_amount": 611,
"card_type": "credit",
"cvm_type": "none",
"F11": "101619",
"franchise": "MASTERCARD",
"kushki_response": {
"code": "000",
"message": "Transacción Aprobada."
},
"message_fields": {
"F38": "121866",
"F39": "00"
},
"transaction_reference": "fb1d8f34-31fc-4d9d-ab7e-375d7f0801a5",
"transaction_status": "APPROVAL",
"transaction_type": "charge",
"ticket_number": "111727462978861299"
}